import _objectWithoutProperties from '@babel/runtime/helpers/objectWithoutProperties';
import { createContext, useContext } from 'react';
import { jsx } from 'react/jsx-runtime';

var _excluded = ["children"];
// eslint-disable-next-line @typescript-eslint/no-explicit-any
var EdsDataGridContext = /*#__PURE__*/createContext({
  enableSorting: false,
  stickyHeader: false,
  enableColumnFiltering: false,
  table: null
});
function TableProvider(_ref) {
  var children = _ref.children,
    props = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/jsx(EdsDataGridContext.Provider, {
    value: props,
    children: children
  });
}
var useTableContext = function useTableContext() {
  return useContext(EdsDataGridContext);
};

export { EdsDataGridContext, TableProvider, useTableContext };
