import { Table } from '@equinor/eds-core-react';
import { TableHeaderCell } from './TableHeaderCell.js';
import { jsx } from 'react/jsx-runtime';

function TableHeaderRow(_ref) {
  var headerGroup = _ref.headerGroup,
    columnResizeMode = _ref.columnResizeMode,
    deltaOffset = _ref.deltaOffset,
    table = _ref.table;
  return /*#__PURE__*/jsx(Table.Row, {
    children: headerGroup.headers.map(function (header) {
      return /*#__PURE__*/jsx(TableHeaderCell, {
        header: header,
        table: table,
        columnResizeMode: columnResizeMode,
        deltaOffset: deltaOffset
      }, header.id);
    })
  });
}

export { TableHeaderRow };
