import { InputHTMLAttributes } from 'react';
type Value = string | number | Array<string | number>;
export declare function DebouncedInput({ value: initialValue, values, onChange, debounce, ...props }: {
    value: Value;
    values: Array<string | number>;
    onChange: (value: Value) => void;
    debounce?: number;
} & Omit<InputHTMLAttributes<HTMLInputElement>, 'onChange'>): JSX.Element;
export {};
